gi-gio-2.0.27: Gio bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gio.Objects.DBusActionGroup

Contents

- Exported types
- Methods
  - Overloaded methods
  - get

Description

`DBusActionGroup` is an implementation of the `ActionGroup` interface that can be used as a proxy for an action group that is exported over D-Bus with `dBusConnectionExportActionGroup`.

Synopsis

- newtype DBusActionGroup = DBusActionGroup (ManagedPtr DBusActionGroup)
- class (GObject o, IsDescendantOf DBusActionGroup o) => IsDBusActionGroup o
- toDBusActionGroup :: (MonadIO m, IsDBusActionGroup o) => o -> m DBusActionGroup
- dBusActionGroupGet :: (HasCallStack, MonadIO m, IsDBusConnection a) => a -> Maybe Text -> Text -> m DBusActionGroup

# Exported types

newtype DBusActionGroup Source #

Memory-managed wrapper type.

Constructors

DBusActionGroup (ManagedPtr DBusActionGroup) |

#### Instances

Instances details

Eq DBusActionGroup Source # |
Instance details Defined in GI.Gio.Objects.DBusActionGroup Methods (==) :: DBusActionGroup -> DBusActionGroup -> Bool # (/=) :: DBusActionGroup -> DBusActionGroup -> Bool #
GObject DBusActionGroup Source # |
Instance details Defined in GI.Gio.Objects.DBusActionGroup
TypedObject DBusActionGroup Source # |
Instance details Defined in GI.Gio.Objects.DBusActionGroup Methods glibType :: IO GType Source #
ManagedPtrNewtype DBusActionGroup Source # |
Instance details Defined in GI.Gio.Objects.DBusActionGroup Methods toManagedPtr :: DBusActionGroup -> ManagedPtr DBusActionGroup Source #
IsGValue DBusActionGroup Source # | Convert `DBusActionGroup` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.Gio.Objects.DBusActionGroup Methods toGValue :: DBusActionGroup -> IO GValue Source # fromGValue :: GValue -> IO DBusActionGroup Source #
HasParentTypes DBusActionGroup Source # |
Instance details Defined in GI.Gio.Objects.DBusActionGroup
type ParentTypes DBusActionGroup Source # |
Instance details Defined in GI.Gio.Objects.DBusActionGroup type ParentTypes DBusActionGroup = '[Object, ActionGroup, RemoteActionGroup]

class (GObject o, IsDescendantOf DBusActionGroup o) => IsDBusActionGroup o Source #

Type class for types which can be safely cast to `DBusActionGroup`, for instance with `toDBusActionGroup`.

#### Instances

Instances details

(GObject o, IsDescendantOf DBusActionGroup o) => IsDBusActionGroup o Source # |
Instance details Defined in GI.Gio.Objects.DBusActionGroup

toDBusActionGroup :: (MonadIO m, IsDBusActionGroup o) => o -> m DBusActionGroup Source #

Cast to `DBusActionGroup`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

## Overloaded methods

## get

dBusActionGroupGet Source #

Arguments

:: (HasCallStack, MonadIO m, IsDBusConnection a) |
=> a | `connection`: A `DBusConnection`
-> Maybe Text | `busName`: the bus name which exports the action group or `Nothing` if `connection` is not a message bus connection
-> Text | `objectPath`: the object path at which the action group is exported
-> m DBusActionGroup | Returns: a `DBusActionGroup`

Obtains a `DBusActionGroup` for the action group which is exported at the given `busName` and `objectPath`.

The thread default main context is taken at the time of this call. All signals on the menu model (and any linked models) are reported with respect to this context. All calls on the returned menu model (and linked models) must also originate from this same context, with the thread default main context unchanged.

This call is non-blocking. The returned action group may or may not already be filled in. The correct thing to do is connect the signals for the action group to monitor for changes and then to call `actionGroupListActions` to get the initial list.

Since: 2.32